curl --request POST \
--url https://vpos.payven.com.tr/api/v1/Payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json; ver=1.0' \
--data '
{
"externalId": "<string>",
"basketId": "<string>",
"amount": {
"amount": 123,
"currency": "<string>"
},
"installment": 123,
"card": {
"holderName": "<string>",
"number": "<string>",
"expireMonth": "<string>",
"expireYear": "<string>",
"cvv": "<string>"
},
"description": "<string>",
"buyer": {
"id": "<string>",
"name": "<string>",
"surname": "<string>",
"email": "<string>",
"phone": "<string>",
"ipAddress": "<string>",
"identityNumber": "<string>"
},
"billingAddress": {
"contactName": "<string>",
"city": "<string>",
"country": "<string>",
"address": "<string>",
"postalCode": "<string>"
},
"shippingAddress": {
"contactName": "<string>",
"city": "<string>",
"country": "<string>",
"address": "<string>",
"postalCode": "<string>"
},
"basketItems": [
{
"id": "<string>",
"name": "<string>",
"price": 123,
"quantity": 123
}
],
"operationType": "Sale",
"extraProperties": {}
}
'